Subject: bug#39712: closed (Re: bug#39712: Partitions produced by the installer not properly unmounted?)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Mar 2020 15:53:02 +0000

Your bug report

#39712: Partitions produced by the installer not properly unmounted?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39712: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39712
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39712: Partitions produced by the installer not properly unmounted?
From: Mathieu Othacehe <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Mar 2020 16:52:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This is fixed by 64704be417ab6f2788e8e3bc36fede1db35470e7.

Thanks,

Mathieu

Subject: Partitions produced by the installer not properly unmounted?
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 21 Feb 2020 12:13:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Mathieu,

I noticed that partitions created by the installer appear to not be
properly unmounted, at least when running in the context of (gnu tests
install):

--8<---------------cut here---------------start------------->8---
ludo@ribbon ~$ qemu-img convert -O raw /gnu/store/2d3s2nbb3j2c1hmkz52xds9rfbk4q3x3-installation /tmp/broken.raw
ludo@ribbon ~$ sudo losetup -P /dev/loop0 /tmp/broken.raw 
ludo@ribbon ~$ sudo dmesg |tail -3
[10703.869334] kvm [8936]: vcpu0, guest rIP: 0xffffffffac073dad disabled perfctr wrmsr: 0xc2 data 0xffff
[10742.475623] kvm [8957]: vcpu0, guest rIP: 0xffffffffaf073dad disabled perfctr wrmsr: 0xc2 data 0xffff
[11774.318468]  loop0: p1 p2 p3
ludo@ribbon ~$ sudo fdisk -l /dev/loop0
Disk /dev/loop0: 2.15 GiB, 2306867200 bytes, 4505600 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
Disk identifier: 213AE251-0E91-499E-9184-0CCEC6DA64C7

Dispositiu    Start   Final Sectors  Size Tipus
/dev/loop0p1   2048    6143    4096    2M BIOS boot
/dev/loop0p2   6144  231423  225280  110M Intercanvi Linux
/dev/loop0p3 231424 4503551 4272128    2G Linux filesystem
ludo@ribbon ~$ sudo mount /dev/loop0p3 /mnt/usb
ludo@ribbon ~$ sudo dmesg |tail -3
[11774.318468]  loop0: p1 p2 p3
[11803.975300] EXT4-fs (loop0p3): recovery complete
[11803.977277] EXT4-fs (loop0p3): mounted filesystem with ordered data mode. Opts: (null)
--8<---------------cut here---------------end--------------->8---

However, I’ve added logging in ‘umount-user-partitions’ in (gnu
installer parted), and the installer does seem to unmount partitions
correctly.

Could it be a side effect of the MS_MOVE dance in
1d02052067e04d7dd8fd1ec17557ca02a30b9bcf?

(I’m observing this on ‘wip-installer-tests’, roughly based on
117d8467be232bcc1b0136d04f362d95d975ca95.)

Thanks,
Ludo’.